:root{
  --transition-default: 100ms;

  --bg-primary:hsl(0 0 100);
  --bg-secondary:hsl(35 100 95);
  --bg-tertiary: hsl(35 10 15);
  --color-text: hsl(0 0 15);
  --color-accent:hsl(88 76 35);
  --color-accent:hsl(320 60 50);
  --color-tertiary:rgb(255 255 255);

  --border:2px solid hsl(0 0 0 / 5%);

  --radius:1rem;
}

html,
body{
  margin:0;
  padding:0;
}

*{
  box-sizing:border-box;
}

html{
  font-family:"Montserrat";
  font-weight:500;
}

header{
  position:sticky;
  z-index:100;
  top:0;
  background-color:var(--bg-primary);
}

header nav{
  list-style:none;
  display:flex;
  justify-self:right;
  margin-block:auto;
  margin-left:auto;
}

header nav a{
  padding:.7rem 2rem;
  display:inline-block;
}

header .logo{
  width:100%;
  height:auto;
}

header nav a{
  border-right:1px solid #eee;
  background:#fff;
  color:var(--color-text);
  text-decoration:none;
  transition-property: background, color;
  transition-duration: var(--transition-default);
  transition-timing-function: ease;
}

header nav li:last-child a{
  border-right:unset;
}

header nav a:hover,
header nav li.active a{
  background:var(--color-accent);
  color:white;
}

/* HERO */
.hero{
  border-radius:var(--radius);
  overflow:hidden;
  width:100%;
  height:500px;
  display:grid;
}

.hero > *{
  grid-area: 1/1;
}

.hero .slide {
  display:grid;
  overflow:hidden;
  width:inherit;
  height:inherit;
  opacity:0;
  transition:opacity 500ms;
  pointer-events:none;
}

.hero .slide.active{
  opacity:1;
  pointer-events:all;
}

.hero .slide > *{
  grid-area: 1/1;
  max-width:100%;
}

.hero .slide .logo{
  margin:auto;
  max-height:100%;
  height:80%;
  width:80%;
  display:grid;
  place-items:center;
}

.hero .slide .logo a{
  width:inherit;
  height:inherit;
  display:inline-block;
  display:grid;
  place-items:center;
}

.hero .slide .logo img{
  height:inherit;
  width:inherit;
  object-fit:contain;
}

.hero .slide .bg{
  width:inherit;
  height:inherit;
}

.hero .slide .bg img{
  width:100%;
  height:100%;
  object-fit:cover;
  object-position:center;
}

@media (width <= 767px){
  .hero{
    height:300px;
  }
  .hero .slide .logo{
    width:90%;
    height:auto;
  }
}

/* Boxes */
.box{
  min-height:25ch;
  padding-block:1rem;
  display:flex;
}

.box .box-header{
  color:var(--color-accent);
}

.box h2{
  margin:0;
}

.box .box-outer{
  padding:1.5rem;
  background-color:var(--bg-secondary);
  border-radius:var(--radius);
  border:var(--border);
  flex:1;
  display:flex;
  flex-direction:column;
}

.box .box-content{
  display:flex;
  flex-direction:column;
  flex:1;
}

.box .box-content .link{
  width:max-content;
  margin-left:auto;
  margin-top:auto;
}

.box .box-content .link.left{
  margin-left:unset;
  margin-right:auto;
}

.box .box-content a{
  color:var(--color-accent);
  margin-top:auto;
  display:block;
  text-align:right;
  font-weight:600;
  transition:font-weight var(--transition-default) ease;
  text-decoration:none;
}

.box .box-content a:hover{
  font-weight:800;
}

.box .box-content a > i{
  margin-right:.5ch;
}

.box p{
  margin-bottom:0;
}

.box .box-content h3{
  font-size:medium;
  margin-bottom:0;
}

.box .box-header i{
  float:right;
}

p.lg{
  font-size:larger;
}

.box.accent .box-outer{
  background-color:var(--color-accent);
  color:rgb(255 255 255);
}

.box.accent .box-header{
  color:inherit;
}

/* Mobile Nav */
header nav .mobile-nav{
  display:none;
}
@media (width <= 991px){
  header nav .menu-link{
    display:none;
  }
  header nav .mobile-nav{
    display:list-item;
  }
}

header nav.expanded{
  flex-direction:column;
  position:absolute;
  top:0;
  right:0;
  height:100vh;
  background-color:var(--bg-primary);
  width:50vw;
  z-index:100;
  box-shadow:-3px 0 5px rgb(0 0 0 / 5%);
}

header nav.expanded .menu-link{
  display:block;
  width:100%;
}

header nav.expanded .menu-link a,
header nav.expanded .mobile-nav a{
  display:block;
  width:100%;
}

header nav.expanded .mobile-nav{
  order:-1;
  margin-left:auto;
  text-align:right;
}

/* FOOTER */

footer{
  background-color:var(--bg-tertiary);
  color:var(--color-tertiary);
  font-size:smaller;
  font-weight:300;
  min-height:200px;
  padding-block:2rem;
  margin-top:5rem;
}

footer a{
  color:inherit;
  font-weight:500;
}

footer a:hover{
  text-decoration:none;
}

/* /games */
.game-list > .col img{
  --transition-default2: calc(var(--transition-default) * 4);
  width:inherit;
  height:auto;
  object-fit:cover;
  border-radius:var(--radius);
  transition: box-shadow var(--transition-default2) ease;
}

.game-list > .col a:hover > img{
  box-shadow:0 1rem 2rem rgb(0 0 0 / 15%);
}

.game-list > .col a{
  width:100%;
  height:100%;
  display:block;
}

h1{
  margin:0;
}

main h1{
  color:var(--color-accent);
  /*text-transform:lowercase;*/
  margin-top:1rem;
  margin-bottom:2rem;
  font-size:3rem;
}

main{
  min-height:50vh;
}

main.subpage{
  margin-top:5rem;
}

.box-content ul{
  list-style:none;
  padding-left:0;
}

.box-content li{
  margin-bottom:.5rem;
}

p{
  line-height:1.5;
}

/* /jobs */
.box.job{
  min-height:unset;
}

.box.job .box-content ul{
  list-style-type:square;
  padding-left:.5rem;
  margin-top:0;
}

.box.job .box-content li{
  margin-bottom:0;
}

.box.job .box-content li{
  font-size:smaller;
}

/* /news */
article{
  padding-bottom:.8rem;
  border-top:var(--border);
}

article h2{
  font-size:large;
  margin-bottom:0;
}

article .meta{
  margin-top:0;
  font-size:smaller;
  font-style:italic;
  font-weight:400;
}

article p{
  font-size:smaller;
}

.preamble{
  font-size:larger;
}

main p > a{
  color:var(--color-accent);
  font-weight:bold;
}

/* Language selector */
.languages{
  display:flex;
  gap:.2rem;
  margin:auto;
}
.languages img{
  width:100%;
  height:auto;
  border-radius:4px;
}

.languages a.selected,
.languages a:hover{
  filter:unset;
}

.languages a{
  filter:contrast(0.5) opacity(0.4) grayscale(0.5);
  transition:filter var(--transition-default);
}

@media (width <= 991px){
  header .row > .col:nth-of-type(1){
    order:-1;
  }
  header .row > .col:nth-of-type(2){
    order:1;
  }
  header .row > .col:nth-of-type(3){
    order:0;
  }
}